/*
 * @Description:
 * @Author: leizhe
 * @Date: 2021-07-08 16:18:14
 * @LastEditTime: 2021-11-26 16:28:39
 * @LastEditors: leizhe
 */
import { post, postForm, get, PUBLISH_SERVICE } from '../index';

export const getImageBases = moduleName =>
  get(`${PUBLISH_SERVICE}/FileCenter/GetFileUrls`, { moduleName });

export const getSysConfigurate = params =>
  get(`/CityInterface/rest/services/Common.svc/Tool/GetSysConfigurate?dicName=网关启停`);
export const gateWayConfig = params => get(`/PandaCore/GCK/Basis/GateWayConfig`, params);
// 获取网关配置
export const GetGateWay = param => get(`${PUBLISH_SERVICE}/HostManager/GetGateWay`, param);
// 获取图片文件流
export const DownLoadFiles = query =>
  get(`/PandaOMS/OMS/FileCenter/DownLoadFiles`, query, {
    responseType: 'blob',
  });
